# Function buildTablesFile

- buildTablesFile(buildDir: string, includedPlugins?: string[]): Promise<void>

  create a file with all data from the db the app updates its local db from this

  #### Parameters

  - buildDir: string

    directory where the app will be build

  - `Optional` includedPlugins: string[]

    names of plugins that are bundled into the app

  #### Returns Promise<void>

  - Defined in utils/common-build-utils.ts:872